<!DOCTYPE html>
<html>
<head>
	<title> Science and Engineering Ethics (2001) 7,231-238 </title>
</head>
<body>
	<h1> Software Engineering Code of Ethics and Professional Practice </h1>
	<h3> IEEE-CS/ACM Joint Taskforce on Software Engineering Ethics and Professional Practices </h3>
	<hr>
	<!-- Code of Ethics -->
	<!-- professional responsibility -->
	<!-- software engineering -->
	<p> <strong>Keywords:</strong> code of ethics, professional responsibility, software engineering </p>
	<p><strong>PREAMBLE</strong></p>
	
	<p>The short version of code the summarizes aspirations at high level of abstraction. The clausees that are included in the full version give examples and details of how these aspirations change the way we act as software
	engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspiration can become high-sounding but empty; together, the aspirations and details form a
	cohesive code. </p>
	<p>Softwares engineers shall commit themselves to making the analysis, specification, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles; </p>
	
	<p> <strong>PRINCIPLES</strong> </p>

	<ol>
		<li><em>Public.</em> Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer.</em> Software engineers shall acts in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
		<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standard possible.</li>
		<li><em>Judgment.</em> Software engineers shall maintain integrity and independence in their professional judgment.</li>
		<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
		<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and promote an ethical approach to the practice of the profession.</li>
	</ol>


</body>
</html>